<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlDynPerChirpPhShftCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlDynPerChirpPhShftCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Dynamic per chirp phase shifter configuration.  
 <a href="structrl_dyn_per_chirp_ph_shft_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a14dfe151911b1a7a74f8da6923a22a2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a14dfe151911b1a7a74f8da6923a22a2c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dyn_per_chirp_ph_shft_cfg__t.html#a14dfe151911b1a7a74f8da6923a22a2c">reserved0</a></td></tr>
<tr class="memdesc:a14dfe151911b1a7a74f8da6923a22a2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a14dfe151911b1a7a74f8da6923a22a2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96c27c6484097990fd8fffdfe774ed48"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a96c27c6484097990fd8fffdfe774ed48"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dyn_per_chirp_ph_shft_cfg__t.html#a96c27c6484097990fd8fffdfe774ed48">chirpSegSel</a></td></tr>
<tr class="memdesc:a96c27c6484097990fd8fffdfe774ed48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates the segment of the chirp RAM that the 16 chirps definitions in this sub <br />
 block map to any of one segment out of 32 segments of SW chirp RAM. <br />
 Valid range 0 to 31. <br /></td></tr>
<tr class="separator:a96c27c6484097990fd8fffdfe774ed48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a208ad4f4f008e2b9f71b30f9ec8dfd73"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a208ad4f4f008e2b9f71b30f9ec8dfd73"></a>
<a class="el" href="structrl_chirp_ph_shift_per_tx__t.html">rlChirpPhShiftPerTx_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dyn_per_chirp_ph_shft_cfg__t.html#a208ad4f4f008e2b9f71b30f9ec8dfd73">phShiftPerTx</a> [16U]</td></tr>
<tr class="memdesc:a208ad4f4f008e2b9f71b30f9ec8dfd73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tx phase shifter configurations for 16 chirps. <br /></td></tr>
<tr class="separator:a208ad4f4f008e2b9f71b30f9ec8dfd73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a446b6c01d99cf19f006735a4fa2a0b3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a446b6c01d99cf19f006735a4fa2a0b3e"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dyn_per_chirp_ph_shft_cfg__t.html#a446b6c01d99cf19f006735a4fa2a0b3e">programMode</a></td></tr>
<tr class="memdesc:a446b6c01d99cf19f006735a4fa2a0b3e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates when the configuration needs to be applied <br />
 Bit Definition <br />
 0 Program the new configuration when rlSetDynChirpEn API is issued <br />
 1 Program the new configuration immediately <br />
 NOTE: User has to ensure that the chirps which are being reconfigured are not the ones which are currently in use for chirping. <br /></td></tr>
<tr class="separator:a446b6c01d99cf19f006735a4fa2a0b3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Dynamic per chirp phase shifter configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
